Package be.ehealth.technicalconnector.validator.impl.handler

# Class ForkContentHandler

java.lang.Object
org.xml.sax.helpers.DefaultHandler
be.ehealth.technicalconnector.validator.impl.handler.ForkContentHandler

All Implemented Interfaces:
  `ContentHandler`, `DTDHandler`, `EntityResolver`, `ErrorHandler`

public class ForkContentHandler extends DefaultHandler

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ForkContentHandler(ContentHandler... handlers)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `characters(char[] ch, int start, int length)`
  `void`
  `endDocument()`
  `void`
  `endElement(String uri, String localName, String qName)`
  `void`
  `endPrefixMapping(String prefix)`
  `void`
  `ignorableWhitespace(char[] ch, int start, int length)`
  `void`
  `processingInstruction(String target, String data)`
  `void`
  `setDocumentLocator(Locator locator)`
  `void`
  `skippedEntity(String name)`
  `void`
  `startDocument()`
  `void`
  `startElement(String uri, String localName, String qName, Attributes atts)`
  `void`
  `startPrefixMapping(String prefix, String uri)`

  ### Methods inherited from class org.xml.sax.helpers.DefaultHandler

  `error, fatalError, notationDecl, resolveEntity, unparsedEntityDecl, warning`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.xml.sax.ContentHandler

  `declaration`

- ## Constructor Details

  - ### ForkContentHandler

    public ForkContentHandler(ContentHandler... handlers)

- ## Method Details

  - ### setDocumentLocator

    public void setDocumentLocator(Locator locator)
    Specified by:
      `setDocumentLocator` in interface `ContentHandler`
    Overrides:
      `setDocumentLocator` in class `DefaultHandler`

  - ### startDocument

    public void startDocument() throws SAXException
    Specified by:
      `startDocument` in interface `ContentHandler`
    Overrides:
      `startDocument` in class `DefaultHandler`
    Throws:
      `SAXException`

  - ### endDocument

    public void endDocument() throws SAXException
    Specified by:
      `endDocument` in interface `ContentHandler`
    Overrides:
      `endDocument` in class `DefaultHandler`
    Throws:
      `SAXException`

  - ### startPrefixMapping

    public void startPrefixMapping(String prefix, String uri) throws SAXException
    Specified by:
      `startPrefixMapping` in interface `ContentHandler`
    Overrides:
      `startPrefixMapping` in class `DefaultHandler`
    Throws:
      `SAXException`

  - ### endPrefixMapping

    public void endPrefixMapping(String prefix) throws SAXException
    Specified by:
      `endPrefixMapping` in interface `ContentHandler`
    Overrides:
      `endPrefixMapping` in class `DefaultHandler`
    Throws:
      `SAXException`

  - ### startElement

    public void startElement(String uri, String localName, String qName, Attributes atts) throws SAXException
    Specified by:
      `startElement` in interface `ContentHandler`
    Overrides:
      `startElement` in class `DefaultHandler`
    Throws:
      `SAXException`

  - ### endElement

    public void endElement(String uri, String localName, String qName) throws SAXException
    Specified by:
      `endElement` in interface `ContentHandler`
    Overrides:
      `endElement` in class `DefaultHandler`
    Throws:
      `SAXException`

  - ### characters

    public void characters(char[] ch, int start, int length) throws SAXException
    Specified by:
      `characters` in interface `ContentHandler`
    Overrides:
      `characters` in class `DefaultHandler`
    Throws:
      `SAXException`

  - ### ignorableWhitespace

    public void ignorableWhitespace(char[] ch, int start, int length) throws SAXException
    Specified by:
      `ignorableWhitespace` in interface `ContentHandler`
    Overrides:
      `ignorableWhitespace` in class `DefaultHandler`
    Throws:
      `SAXException`

  - ### processingInstruction

    public void processingInstruction(String target, String data) throws SAXException
    Specified by:
      `processingInstruction` in interface `ContentHandler`
    Overrides:
      `processingInstruction` in class `DefaultHandler`
    Throws:
      `SAXException`

  - ### skippedEntity

    public void skippedEntity(String name) throws SAXException
    Specified by:
      `skippedEntity` in interface `ContentHandler`
    Overrides:
      `skippedEntity` in class `DefaultHandler`
    Throws:
      `SAXException`